<!--
  ~ LiberSign
  ~ Copyright (C) 2008-2022 Libriciel-SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as
  ~ published by the Free Software Foundation, either version 3 of the
  ~ License, or (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program.  If not, see <https://www.gnu.org/licenses/>.
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.adullact</groupId>
  <packaging>jar</packaging>
  <version>1.0-SNAPSHOT</version>
  <name>InjecteSignatureXMLClient</name>
  <url>http://maven.apache.org</url>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>1.6</source>
                    <target>1.6</target>
                </configuration>
            </plugin>
           <plugin>
             <groupId>org.codehaus.mojo</groupId>
               <artifactId>jaxws-maven-plugin</artifactId>
               <executions>
                 <execution>
                   <id>InterfaceLibersignService</id>
                   <phase>generate-sources</phase>
                   <goals>
                     <goal>wsimport</goal>
                   </goals>
                   <configuration>
                     <wsdlUrls>
                       <wsdlUrl>
             http://localhost:8080/LibersignServer/InterfaceLibersignService?wsdl
                       </wsdlUrl>
                     </wsdlUrls>
                 <packageName>com.adullact.libersignclient
                 </packageName>
                 <sourceDestDir>${project.build.directory}/generated-sources/wsimport</sourceDestDir>
                   </configuration>
                 </execution>
               </executions>
           </plugin>
            <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-jar-plugin</artifactId>
                    <configuration>
                            <archive>
                                    <manifest>
                                            <mainClass>com.adullact.libersignclient.InjecteSignatureXML</mainClass>
                                    </manifest>
                            </archive>
                    </configuration>
            </plugin>
        </plugins>
    </build>
    <dependencies>
  </dependencies>
    <artifactId>InjecteSignatureXMLClient</artifactId>
</project>




